=== debian/changelog ===
kde-style-kvantum (0.10.3-1mx15+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - Choose the correct arrow for toolbar and menubar extension buttons.
      Unfortunately, the arrows can have no state other than normal and
      disabled (a Qt bug).
    - No state other than normal is needed for toolbutton flat arrows.
    - Added yet another toolbutton size workaround when the button text is
      too long.
    - Added the hacking key "no_selection_tint" to Kvantum Manager.
    - Support shadow for groupbox label.
    - Added support for blurring any hard-coded translucency (and not just
      Konsole) with kwin.
    - Added support for app specific themes (to Kvantum Manager).
    - Added a dark variant of KvArc (KvArcDark).
    - Added a key for overlapping the active tab.
    - Added a key to disable frame expansion for inactive tabs.
    - Added a key for scrollable menus (to Kvantum Manager).
    - Draw all toolbuttons auto-raised inside toolbars.
    - Add hover effect only selectively.
    - Added CMake support (while qmake is kept).
    - Added two keys for toolbar spacing.
    - Added a key for submenu delay (to Kvantum Manager). It can be used to
      show submenus only by clicking.
  * debian/rules: force use of the qmake build.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Jan 2017 08:54:36 -0800

kde-style-kvantum (0.10.2-1mx150+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - Added a key for drawing scrollbars inside the view frame (thanks to Craig
      Drummond).
    - Draw the background of scrollbar and scroll corner area appropriately when
      the scrollbar is inside the view frame.
    - Consider digiKam's DAbstractSliderSpinBox as a KisSliderSpinBox.
    - Added a key for drawing combo popups as menu popups (thanks to Craig).
    - Expand x11drag option to allow finer control (thanks to Craig).
    - Allow bold and italic GroupBox titles (thanks to Craig).
    - Added an Arc like theme.
    - Added a key for drawing tree branch lines (to Kvantum Manager).
    - Added a key for setting the width of horizontal spin buttons (to Kvantum
      Manager).
    - Global minimum width for push buttons.
    - Center text+icon in push buttons.
    - Added a key for layout margins (thanks to Craig).
    - Support monochrome icon sets that reverse the color of selected icons.
    - Added a hacking key for not tinting selected icons.
    - Added a key for frame patterns.
    - Added support for focus rectangle to comboboxes.
    - Added a key to respect some DE settings (thanks to Craig).
    - Added a theme inspired by Ubuntu's Ambiance.
    - Added a fair copy of Ubuntu's Ambiance.
    - Added an optional section for styling toolbar buttons.
    - Added an optional key for distinguishing between expanded and usual
      frames.
  * Add qt4_and_hardening.patch.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 03 Oct 2016 17:09:47 -0700

kde-style-kvantum (0.10.1-1mx150+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - No label spacing for checkboxes and radiobuttons that have neither text
      nor icon. 
    - Added a dark cyan theme.
    - State change animation for line-edits and also for spin and combo boxes
      when they're drawn as line- edits.
    - Quietened compiler warnings with Qt-5.7.
    - Use "const char*" instead of "QString" wherever appropriate.
    - Don't draw the panel of a dock title button twice.
    - Fixed RTL view items.
    - Draw text based on its direction, not based on the layout direction.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 04 Sep 2016 16:08:23 -0700

kde-style-kvantum (0.10.0-1mx150+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - Added optional state change animation for buttons and non-editable
      comboboxes.
    - Draw flat pushbuttons like auto-raised toolbuttons.
    - A workaround for QtWebEngine's selection text issue.
    - Added an Oxygen-like theme.
    - Don't force size grip on a dialog that doesn't have a layout or its layout
      has a size constraint of "SetFixedSize" or "SetNoConstraint".
    - Consider QML anchoring, because of which, some widgets can't have frame
      expansion, tiling pattern or even interior gradient.
    - No interior and frame expansion when the label of a group box is drawn on
      its top frame.
    - Added support for expanded frame sizes.
    - Remember theme specifications instead of getting theme repeatedly! This can
      save considerable CPU usage when a GUI is being updated quickly and
      continuously.
    - Added two themes to the collection.
    - Deal with QML peculiarities.
    - Added support for separate checkboxes and radiobuttons on menus.
    - Fall back to the normal state if an object for another state isn't found.
    - Draw the focus frame around widgets with keyboard focus if it's enabled in
      the theme (it's disabled in the default theme).
    - Added a key for disabling pushbutton contents shift.
    - Simplified the logic for tab separators and removed "joined_active_tab".
    - Added a hacking key for merging PCManFM-Qt's folder-view with its 
      surroundings (to Kvantum Manager).
    - Added a dark version of KvSimplicity (KvSimplicityDark).
  * Enable hardening=+all when building.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 31 Jul 2016 09:34:44 -0700

kde-style-kvantum (0.9.6-1mx150+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - Added support for default button interior.
    - Show menu titles in the toggled and not pressed state.
    - Added an option for putting the group-box label above the frame.
    - Removed scrollbar add-line and sub-line frame and interior.
    - Add a key to join the active tab to its (inactive) adjacent tab(s). Also
      added support for tab separators.
    - Added a key for drawing spin indicators inside the spin line-edit.

