=== debian/control ===
Source: kde-style-kvantum
Section: kde
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               libqt4-dev,
               libxext-dev
Standards-Version: 3.9.6
Homepage: https://github.com/tsujan/Kvantum

Package: kde-style-kvantum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SVG-based widget style for Qt4 and KDE 4
 Kvantum is a window decoration and widget theme-engine for Qt4 and KDE 4 with
 an emphasis on elegance, usability and practicality.
 .
 This package contains the Qt4 and KDE widget style of Kvantum, along with a
 default dark theme, inspired by the default theme of Enlightenment.
 Creation of realistic themes like that for KDE was the first reason to make
 Kvantum, but it allows themes with very different looks and feels, whether
 photorealistic or cartoonish, 3D or flat, embellished or minimalistic, or
 something in between.
 .
 Also included is Kvantum Manager for managing Kvantum themes and settings.
