=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	qmake-qt4 kvantum.pro

%:
	dh $@ --parallel
